<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

class TomoacTweetBlockController extends BlockController {
	protected $btTable = 'btTweetTomoac';
	protected $btInterfaceWidth = "600";
	protected $btInterfaceHeight = "220";
	
	public function getBlockTypeDescription() {
		return t('Tomoac Tweet');
	}
	
	public function getBlockTypeName() {
		return t('Tweet button by tomoac');
	}	 
}

	function save( $data ) { 
		$db = Loader::db();
		if(intval($this->bID) > 0) {
			$q = "select count(*) as total FROM btTweetTomoac WHERE bID = ".$this->bID;
			$total = $db->getOne($q);
		} else 
			$total = 0; 

		if( intval($total) == 0 ) { 
			$vals = array(intval($this->bID)
					,$data['user'], $data['user2'], $data['hashtag'], $data['buttonsize']
					,$data['lang'], $data['url'], $data['title'], $data['counter']);
			$db->query("INSERT INTO btTweetTomoac
							(bID, user, user2, hashtag, buttonsize, lang, url, title, counter)
						 	values (?,?,?,?,?,?,?,?,?)", $vals);
		} else {
			$vals = array($data['user'], $data['user2'], $data['hashtag'], $data['buttonsize']
					,$data['lang'], $data['url'], $data['title'], $data['counter']);
			$db->query("UPDATE btTweetTomoac set 
							user=?, user2=?, hashtag=?, buttonsize=?,
							lang=?, url=?, title=?, counter=? WHERE bID = ?", $vals);
		}
	}
